void asdknewscale() { // TODO: Implement the command ads_point cp = {5.0, 5.0, 0.0}; ads_real rad = 2.0; ads_name circEnt; int rc = RTNORM; struct resbuf *rbcirc; acedCommand(RTSTR, "SCALE", RTPOINT, cp, RTREAL, rad, RTNONE); acedSSGet(NULL,NULL,NULL,NULL,circEnt); acedInitGet(RSG_NONULL, NULL); acedGetPoint(NULL, "\nPick base point: ", cp); acedInitGet(RSG_NONULL + RSG_NOZERO + RSG_NONEG, NULL); acedGetReal("\nscale factor: ", &rad); if(rc != RTNORM) { acutPrintf("\nError entering: "); return; } rbcirc = acutBuildList(RTSTR, "SCALE", RTPOINT, cp, RTREAL, rad, RTNONE); acedCmd(rbcirc); acutRelRb(rbcirc); } |